LibreOffice: XSolver Interface Reference

LibreOffice LibreOffice 5.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
XSolver Interface Reference

allows to call a solver for a model that is defined by spreadsheet cells. More...

`import"XSolver.idl";`

Inheritance diagram for XSolver:

## Public Member Functions
void | solve ()
| executes the calculation and tries to find a solution. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Public Attributes
XSpreadsheetDocument | Document
| The spreadsheet document that contains the cells. More...
com::sun::star::table::CellAddress | Objective
| The address of the cell that contains the objective value. More...
sequence< com::sun::star::table::CellAddress > | Variables
| The addresses of the cells that contain the variables. More...
sequence< SolverConstraint > | Constraints
| The constraints of the model. More...
boolean | Maximize
| selects if the objective value is maximized or minimized. More...
boolean | Success
| contains `TRUE` if a solution was found. More...
double | ResultValue
| contains the objective value for the solution, if a solution was found. More...
sequence< double > | Solution
| contains the solution's value for each of the variables, if a solution was found. More...

## Detailed Description

allows to call a solver for a model that is defined by spreadsheet cells.

## Member Function Documentation

void solve | ( |  | ) |

executes the calculation and tries to find a solution.

## Member Data Documentation

sequence< SolverConstraint > Constraints
| attribute

The constraints of the model.

XSpreadsheetDocument Document
| attribute

The spreadsheet document that contains the cells.

boolean Maximize
| attribute

selects if the objective value is maximized or minimized.

com::sun::star::table::CellAddress Objective
| attribute

The address of the cell that contains the objective value.

double ResultValue
| attributereadonly

contains the objective value for the solution, if a solution was found.

sequence< double > Solution
| attributereadonly

contains the solution's value for each of the variables, if a solution was found.

boolean Success
| attributereadonly

contains `TRUE` if a solution was found.

sequence< com::sun::star::table::CellAddress > Variables
| attribute

The addresses of the cells that contain the variables.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XSolver.idl